package example;

import com.opensymphony.xwork2.Action;
import com.opensymphony.xwork2.ActionSupport;

public class EmployeeAction extends ActionSupport
{
	private static final long serialVersionUID = 1L;
	
	private String name;
	private int age;
	   
	@Override
    public String execute()
    { 
        if ((getName().trim().length() > 0))
	        return Action.SUCCESS;
        return Action.INPUT;
    } 
	@Override
	public void validate()
	{
		if (isEmptyString(name))
			addFieldError("name","  ");
		if ((age < 24) || (age > 65))
			addFieldError("age","    24  65");
		 if (isEmptyString(name) && ((age < 24) || (age > 65))){
			 addActionError ("  " ); 
        } 
	}
	 private boolean isEmptyString (String value) { 
		 return value == null || "".equals (value.trim()); 
	 } 
	 public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public int getAge() {
		return age;
	}
	public void setAge(int age) {
		this.age = age;
	}
}
